wxWidgets: wxListItemAttr Class Reference

| Version: 3.0.4

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxListItemAttr Class Reference
Class List by Category » Data Structures

`#include <wx/listctrl.h>`

## Detailed Description

Represents the attributes (color, font, ...) of a wxListCtrl's wxListItem.

##

Library: wxCore
Category: Data Structures

See also
  wxListCtrl Overview, wxListCtrl, wxListItem

## Public Member Functions
| wxListItemAttr ()
| Default Constructor. More...
| wxListItemAttr (const wxColour &colText, const wxColour &colBack, const wxFont &font)
| Construct a wxListItemAttr with the specified foreground and background colors and font. More...
const wxColour & | GetBackgroundColour () const
| Returns the currently set background color. More...
const wxFont & | GetFont () const
| Returns the currently set font. More...
const wxColour & | GetTextColour () const
| Returns the currently set text color. More...
bool | HasBackgroundColour () const
| Returns true if the currently set background color is valid. More...
bool | HasFont () const
| Returns true if the currently set font is valid. More...
bool | HasTextColour () const
| Returns true if the currently set text color is valid. More...
void | SetBackgroundColour (const wxColour &colour)
| Sets a new background color. More...
void | SetFont (const wxFont &font)
| Sets a new font. More...
void | SetTextColour (const wxColour &colour)
| Sets a new text color. More...

## Constructor & Destructor Documentation

wxListItemAttr::wxListItemAttr | ( |  | ) |

Default Constructor.

wxListItemAttr::wxListItemAttr | ( | const wxColour & | colText,
|  | const wxColour & | colBack,
|  | const wxFont & | font
| ) |  |

Construct a wxListItemAttr with the specified foreground and background colors and font.

## Member Function Documentation

const wxColour& wxListItemAttr::GetBackgroundColour | ( |  | ) | const

Returns the currently set background color.

const wxFont& wxListItemAttr::GetFont | ( |  | ) | const

Returns the currently set font.

const wxColour& wxListItemAttr::GetTextColour | ( |  | ) | const

Returns the currently set text color.

bool wxListItemAttr::HasBackgroundColour | ( |  | ) | const

Returns true if the currently set background color is valid.

bool wxListItemAttr::HasFont | ( |  | ) | const

Returns true if the currently set font is valid.

bool wxListItemAttr::HasTextColour | ( |  | ) | const

Returns true if the currently set text color is valid.

void wxListItemAttr::SetBackgroundColour | ( | const wxColour & | colour | ) |

Sets a new background color.

void wxListItemAttr::SetFont | ( | const wxFont & | font | ) |

Sets a new font.

void wxListItemAttr::SetTextColour | ( | const wxColour & | colour | ) |

Sets a new text color.